/** @odoo-module **/

import {Component} from "point_of_sale.Registries";
import PartnerListScreen from "point_of_sale.PartnerListScreen";


export const HidePartnerListScreen = (PartnerListScreen) =>
    class extends PartnerListScreen {

        get partners() {
            if (!this.state.query ){
                return [];
            }
            return super.partners;
        }
    };


Component.extend(PartnerListScreen, HidePartnerListScreen);
